%define upstream_name    grepmail
%define upstream_version 5.3104

Name:       grepmail
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Search mailboxes for mail matching a regular expression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DC/DCOPPIT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Manip)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Mail::Mbox::MessageParser) >= 1.400.100
BuildRequires: perl(Module::AutoInstall)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)

Recommends:    perl(Date::Manip)

BuildArch:  noarch

%description
grepmail looks for mail messages containing a pattern, and prints the
resulting messages on standard out.

By default grepmail looks in both header and body for the specified
pattern.

When redirected to a file, the result is another mailbox, which can, in
turn, be handled by standard User Agents, such as elm, or even used as
input for another instance of grepmail.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml README TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Feb 18 2016 umeabot <umeabot> 5.310.400-2.mga6
+ Revision: 965810
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 danf <danf> 5.310.400-1.mga6
+ Revision: 837742
- Added BuildRequires: perl(URI::Escape)
- Upgraded to ver. 5.3104
- Removed upstreamed/obsolete patches

* Sun Oct 19 2014 umeabot <umeabot> 5.303.400-2.mga5
+ Revision: 790489
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 danf <danf> 5.303.400-1.mga5
+ Revision: 757172
- Updated BuildRequires and Recommends

  + jquelin <jquelin>
    - update buildrequires
    - imported package grepmail


* Wed Aug 17 2011 grepmail 5.3034-1mga
- initial mageia release
